import bpy
import os
from bpy.utils import previews


def load_icons(directory):
    icons = previews.new()
    icon_names = []  
    
    for root, dirs, files in os.walk(directory):
        for filename in files:
            if filename.lower().endswith(('.png', '.jpg')):
                
                icon_name = os.path.splitext(filename)[0]
                icon_path = os.path.join(root, filename)
                
                icons.load(icon_name, icon_path, 'IMAGE')
                icon_names.append(icon_name)  
    
    log_file_path = os.path.join(directory, 'icon_list.txt')  
    with open(log_file_path, 'w') as file:
        for name in icon_names:
            file.write(name + '\n')
    return icons


current_file_path = os.path.dirname(__file__)

bl_light_presets_icons_assets_directory = os.path.join(current_file_path, '..', 'assets', 'img', 'presets')
bl_light_presets_icons = load_icons(bl_light_presets_icons_assets_directory)

bl_light_icons_assets_directory = os.path.join(current_file_path, '..', 'assets', 'img', 'light')
bl_light_icons = load_icons(bl_light_icons_assets_directory)

bl_all_icons_assets_directory = os.path.join(current_file_path, '..', 'assets', 'img', 'All')
bl_all_icons = load_icons(bl_all_icons_assets_directory)

bl_all_icons_assets_directory = os.path.join(current_file_path, '..', 'assets', 'img', 'ui_icons')
bl_ui_icons = load_icons(bl_all_icons_assets_directory)
